/* 
Probably compatible with OS X > 10.4.3 
 */

var originalWindowWidth = 305;
var originalWindowHeight = 265;

var backWindowWidth = 316;
var backWindowHeight = 265;


//
// Function: load()
// Called by HTML body element's onload event when the widget is ready to start
//
function load()
{
    //dashcode.setupParts();

   // To avoid Dashboard replace-widget bug, call show(); But that causes other problems
   setLanguageMainInterface();
   
   //setDefaultCustomerIfNone();
   
   loadSpecific();
    
}

function setLanguageMainInterface()
{
        var currentLanguage = getCurrentLanguage(false);

        document.getElementById('mainbtnNewSearch').innerHTML = lanMainBtnNewSearch[currentLanguage];
        
        document.getElementById('divReseplaneraren').style.backgroundImage = 'url("' + WIDGETURL + 'customerSchemes/_common/reseplaneraren_' + getCurrentLanguage(true) + '.png")';
}

//
// Function: remove()
// Called when the widget has been removed from the Dashboard
//
function remove()
{
    // Stop any timers to prevent CPU usage
    // Remove any preferences as needed
    // widget.setPreferenceForKey(null, dashcode.createInstancePreferenceKey("your-key"));
}

//
// Function: hide()
// Called when the widget has been hidden
//
function hide()
{
    // Stop any timers to prevent CPU usage
    if (infoboxRow != -1 && currentPage != 'backpage') {
        closeInfobox();
}
}

//
// Function: show()
// Called when the widget has been shown
//
function show()
{
        //setDefaultCustomerIfNone();

    // När Dashboard startas - fast inte då man just ersatt

    if (widget.preferenceForKey(dashcode.createInstancePreferenceKey("startupState")) == null) {
        widget.setPreferenceForKey(1, dashcode.createInstancePreferenceKey("startupState"));
    }
    
    setLanguageMainInterface();
    
    if(currentPage != 'backpage') {

            switch (widget.preferenceForKey(dashcode.createInstancePreferenceKey("startupState"))) {
                case 0:
                        showSearchPage(null);
                break;
                case 1:
                        if (currentPage == null) // Om ingen sida laddats
                                showSearchPage(null);
                break;
                
                case 2:
                        showResultsPageFromSettings(2);
                break;
            }
    
    }
    
    
    if(currentPage != 'backpage') 
        window.resizeTo(originalWindowWidth, originalWindowHeight);
}

//
// Function: sync()
// Called when the widget has been synchronized with .Mac
//
function sync()
{
    // Retrieve any preference values that you need to be synchronized here
    // Use this for an instance key's value:
    // instancePreferenceValue = widget.preferenceForKey(null, dashcode.createInstancePreferenceKey("your-key"));
    //
    // Or this for global key's value:
    // globalPreferenceValue = widget.preferenceForKey(null, "your-key");
}

//
// Function: showBack(event)
// Called when the info button is clicked to show the back of the widget
//
// event: onClick event from the info button
//
var currentCustomerBeforeBack = null;

function showBack(event)
{
        closeInfobox();
                
        
        window.resizeTo(backWindowWidth, backWindowHeight);

    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToBack");
    }

    front.style.display = "none";
    back.style.display = "block";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
    
    showBackPage();
}

//
// Function: showFront(event)
// Called when the done button is clicked from the back of the widget
//
// event: onClick event from the done button
//
function showFront(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToFront");
    }

    front.style.display="block";
    back.style.display="none";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
    
    window.resizeTo(originalWindowWidth, originalWindowHeight);
    
    currentPage = currentPage_BeforeBack;
    saveSettings();
    
    setLanguageLabels(currentPage);
    setLanguageMainInterface();
    loadSpecific();
    createPageAppleButtons(currentPage);
    setPageStartFocus(currentPage);
}

if (window.widget) {
    widget.onremove = remove;
    widget.onhide = hide;
    widget.onshow = show;
    widget.onsync = sync;
}


